package po

import "plugins/zltx_card/internal/vo"

type QueryReq struct {
	MerchantId string `validate:"required"`
	OutTradeNo string `validate:"required"`
	TimeStamp  int64  `validate:"required"`
	Version    string `validate:"required"`
	Sign       string
}

type QueryResp struct {
	Code       vo.Code        `json:"code"`
	Status     vo.OrderStatus `json:"status"`
	Message    string         `json:"message"`
	OutTradeNo string         `json:"outTradeNo"`
	CardCode   string         `json:"cardCode"` // 卡密才可能会有
}
